This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 5 replies, has 2 voices.

Last updated by Riffaz 3 months, 3 weeks ago.

Assigned support staff: Riffaz.

Author Posts
June 19, 2019 at 11:39 am #4051193

disashopS

I am trying to activate WPML in the newest version of WordPress 5.2.2 , with the Avada Theme 5.9.1.

I install the 4 files correctly, but when I try to activate the file "sitepress-multilingual-cms", the wordpress breaks.

When I change the name of the pluggin's carpet, I can acces the WordPress home page again. If not, the error is continuously showing.

I attach an image with the error.

Coud you help to me?

June 19, 2019 at 1:59 pm #4051975

Riffaz
Supporter

Languages: English (English )

Timezone: Asia/Colombo (GMT+05:30)

Hi,

Thank you for contacting WPML support.

This is a fatal error.

Debugging
1. Please follow the debugging information provided here: https://wpml.org/documentation/support/debugging-wpml/#enabling-the-built-in-debugging-feature-in-wordpress.
2. Repeat the action of creating the problem.
3. Copy and paste the contents of debug.log (log file inside the /wp-content/ directory) here for me to see

Let me know.

Regards,
Riffaz.

June 20, 2019 at 12:46 pm #4060047

disashopS

Hello!

I have the debug.log file, but y cant share with u.

I paste the text of the file:

[20-Jun-2019 12:01:44 UTC] PHP Fatal error: Uncaught Error: Call to undefined function simplexml_load_file() in /var/www/html/wp-content/plugins/sitepress-multilingual-cms/vendor/otgs/installer/includes/class-wp-installer.php:825
Stack trace:
#0 /var/www/html/wp-content/plugins/sitepress-multilingual-cms/vendor/otgs/installer/includes/class-wp-installer.php(72): WP_Installer->load_repositories_list()
#1 /var/www/html/wp-content/plugins/sitepress-multilingual-cms/vendor/otgs/installer/includes/class-wp-installer.php(47): WP_Installer->__construct()
#2 /var/www/html/wp-content/plugins/sitepress-multilingual-cms/vendor/otgs/installer/includes/functions-core.php(3): WP_Installer::instance()
#3 /var/www/html/wp-content/plugins/sitepress-multilingual-cms/vendor/otgs/installer/installer.php(15): WP_Installer()
#4 /var/www/html/wp-content/plugins/sitepress-multilingual-cms/vendor/otgs/installer/loader.php(121): include_once('/var/www/html/w...')
#5 /var/www/html/wp-includes/class-wp-hook.php(286): wpml_installer_instance_delegator('')
#6 /var/www/html/wp-inclu in /var/www/html/wp-content/plugins/sitepress-multilingual-cms/vendor/otgs/installer/includes/class-wp-installer.php on line 825

Regards,

Gonzalo

June 20, 2019 at 1:55 pm #4060485

Riffaz
Supporter

Languages: English (English )

Timezone: Asia/Colombo (GMT+05:30)

Hi,

It seems that your xml php module seems is missing in your PHP setup, we have an errata article that can help to sort this issue out at:

https://wpml.org/errata/php-7-possible-issues-simplexml/

let me know your results

June 21, 2019 at 11:26 am #4066663

disashopS

Hi,

We tried to do the steps that you share with us. But it still doesn`t work.

We have the 7.2 PHP Version, and I think that the solution you propose is for the 7.0/7.1 version.

I attach an image with the error that it show us.

Do you have another way to do it?

Regards,

Gonzalo.

June 22, 2019 at 11:45 am #4071003

Riffaz
Supporter

Languages: English (English )

Timezone: Asia/Colombo (GMT+05:30)

Hi,

Can you please check this answer: https://wpml.org/forums/topic/php-7-2-compatibility/#post-2938204

And also this one: https://wpml.org/forums/topic/php-7-2-compatibility-2/#post-2954041

In other words, you are safe to use 7.2. and should have no issues using WPML with it.

Anyhow, if you downgrade the PHP version are these errors go away?

Are all your WPML plugins updated to latest version? https://wpml.org/account/downloads/

Te next reply is set for WPML Debug info.

Let me know.

Regards,

The topic ‘[Closed] I can't Activate WPML with Avada Theme’ is closed to new replies.